> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Facebook posts

> Get a list of Facebook posts for the brand.



## OpenAPI

````yaml api-reference/scheduler-openapi.json GET /facebook/scheduled_posts
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Hudson
    url: https://dashsocial.com
  description: >-
    Manage Scheduler content, links, analytics and more in the Dash Hudson
    platform.
  title: Dash Hudson Scheduler Backend Service
  version: 1.0.0
  x-logo:
    altText: Dash Hudson logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://scheduler.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: ''
    name: approval_requests
  - description: ''
    name: bluesky
  - description: ''
    name: events
  - description: ''
    name: facebook
  - description: >-
      APIs for creating, scheduling, and retrieving posts to be shown on
      Instagram Posts.
    name: instagram
  - description: ''
    name: linkedin
  - description: ''
    name: pinterest
  - description: Endpoints for recommended publish times
    name: publish_times
  - description: ''
    name: rss_feeds
  - description: ''
    name: snapchat
  - description: ''
    name: threads
  - description: ''
    name: tiktok
  - description: ''
    name: twitter
  - description: ''
    name: youtube
paths:
  /facebook/scheduled_posts:
    get:
      tags:
        - facebook
      summary: Get Facebook posts
      description: Get a list of Facebook posts for the brand.
      parameters:
        - description: Number of posts to return per page
          in: query
          name: limit
          required: false
          schema:
            default: null
            maximum: 1000
            minimum: 0
            nullable: true
            type: integer
        - description: Starting position of posts to return
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: >-
            The ID of the brand the posts belong to. Required for
            non-application users.
          in: query
          name: brand_id
          required: false
          schema:
            minimum: 0
            type: integer
        - description: List of brand IDs for cross brand query (max 10).
          explode: false
          in: query
          name: brand_ids
          required: false
          schema:
            items:
              minimum: 0
              type: integer
            maxItems: 10
            minItems: 1
            type: array
          style: form
        - description: The status by which to filter posts.
          explode: false
          in: query
          name: status
          required: false
          schema:
            items:
              enum:
                - AUTOPUBLISHING
                - DRAFT
                - EXPIRED
                - FAILED
                - IMPORTED
                - MISSING_APPROVALS
                - PARTIALLY_FAILED
                - POSTED
                - SCHEDULED
                - SKIPPED
                - USERS_NOTIFIED
              type: string
            type: array
          style: form
        - description: The metric to sort results by.
          in: query
          name: sort
          required: false
          schema:
            default: TIMESTAMP
            enum:
              - '-SORT_INDEX'
              - '-TIMESTAMP'
              - '-UPDATED_AT'
              - SORT_INDEX
              - TIMESTAMP
              - UPDATED_AT
            type: string
        - description: The start of the range from which to fetch posts by time stamp.
          in: query
          name: start
          required: false
          schema:
            default: null
            format: date-time
            nullable: true
            type: string
        - description: The end date of the range of posts being fetched by time stamp.
          in: query
          name: end
          required: false
          schema:
            default: null
            format: date-time
            nullable: true
            type: string
        - description: Indicates if the post has a scheduled timestamp.
          in: query
          name: has_scheduled_time
          required: false
          schema:
            nullable: true
            type: boolean
        - description: List of unique source ids.
          explode: false
          in: query
          name: source_ids
          required: false
          schema:
            items:
              type: string
            nullable: true
            type: array
          style: form
        - description: Whether to resolve library references (media, boards, etc).
          in: query
          name: resolve_references
          required: false
          schema:
            default: true
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedFacebookScheduledPosts'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    PagedFacebookScheduledPosts:
      properties:
        data:
          description: List of Facebook posts
          items:
            $ref: '#/components/schemas/FacebookScheduledPost'
          type: array
        paging:
          allOf:
            - $ref: '#/components/schemas/PagingData'
          description: Pagination metadata
      type: object
    FacebookScheduledPost:
      properties:
        brand_id:
          description: The id of the brand to which the post belongs.
          minimum: 0
          type: integer
        auto_publish:
          description: Whether the post should be auto published.
          type: boolean
        status:
          description: The current status of the post.
          enum:
            - AUTOPUBLISHING
            - DRAFT
            - EXPIRED
            - FAILED
            - IMPORTED
            - MISSING_APPROVALS
            - PARTIALLY_FAILED
            - POSTED
            - SCHEDULED
            - SKIPPED
            - USERS_NOTIFIED
          type: string
        post_type:
          description: Type of Facebook Post to be published
          enum:
            - POST
            - REEL
          type: string
        message:
          description: Text content of the post
          type: string
        media_ids:
          description: The list of the media ids attached to the post.
          items:
            minimum: 0
            type: integer
          type: array
        timestamp:
          description: The scheduled date & time for publishing the post.
          format: date-time
          nullable: true
          type: string
        first_comment:
          description: The first comment to be auto published for the post.
          maxLength: 8000
          nullable: true
          type: string
        link:
          description: URL in the message to feature
          format: url
          nullable: true
          type: string
        cover_image_media_id:
          description: The id of the media which will be published as a FB Reel cover image
          nullable: true
          type: integer
        location_id:
          description: Facebook ID of the location shown in the post
          nullable: true
          type: string
        thumb_offset:
          description: Time offset in seconds from the video for the thumbnail
          nullable: true
          type: integer
        video_title:
          description: The title given to the attached video when opened
          nullable: true
          type: string
        targeting:
          allOf:
            - $ref: '#/components/schemas/Targeting'
          description: Limit the audience of the post to these criteria
          nullable: true
        alt_text_media_map:
          description: Mapping for the alt text of each media in the post
          nullable: true
          type: object
        approval_policy:
          description: The approval policy of the approval request
          enum:
            - APPROVAL_REQUIRED
            - APPROVAL_NOT_REQUIRED
          type: string
        approval_requests:
          description: The list of approval requests associated with the post.
          items:
            $ref: '#/components/schemas/ApprovalRequest'
          type: array
        approval_status:
          description: The approval status of the post.
          readOnly: true
          type: string
        auto_publish_error:
          enum:
            - ACCOUNT_RESTRICTED
            - AGAINST_COMMUNITY_STANDARDS
            - APPROVED_PUBLISHING_DATES_HAVE_NO_OVERLAP
            - AUTO_PUBLISH_LIMIT_EXCEEDED
            - DUPLICATE_POST
            - FLAGGED_AS_SPAM
            - INTERNAL
            - INVALID_ACCOUNT_TYPE
            - INVALID_AUTH
            - INVALID_DESCRIPTION
            - INVALID_IMAGE
            - INVALID_PIN_BOARD
            - INVALID_PRODUCT_TAGS
            - INVALID_TARGETING
            - INVALID_TITLE
            - INVALID_VIDEO_THUMBNAIL
            - MEDIA_CONTAINER_EXPIRED
            - MISSING_AUTH
            - OUTSIDE_OF_APPROVED_PUBLISHING_DATES
            - PAGE_PUBLISHING_AUTH_REQUIRED
            - PLATFORM_ERROR
            - REJECTED
            - TEXT_LENGTH_EXCEEDED
          readOnly: true
          type: string
        board_ids:
          description: The list of the board ids associated with the post.
          items:
            minimum: 0
            type: integer
          type: array
        campaign_ids:
          description: The list of the campaign ids associated with the post.
          items:
            minimum: 0
            type: integer
          type: array
        content_tag_ids:
          description: The list of the content tag ids associated with the post.
          items:
            minimum: 0
            type: integer
          type: array
        cover_image_media:
          description: The media to be published as a FB Reel cover image
          readOnly: true
          type: object
        created_at:
          description: The time when the post was created.
          format: date-time
          readOnly: true
          type: string
        creation_source:
          description: To identify the user or the application that created the post.
          enum:
            - RSS_FEED
          type: string
        duplicate_to_brand_ids:
          description: The list of duplicate to brand ids.
          items:
            minimum: 0
            type: integer
          maxItems: 55
          type: array
          writeOnly: true
        first_comment_status:
          enum:
            - SUCCESS
            - FAILED
          readOnly: true
          type: string
        has_scheduled_time:
          description: Indicates if the post has a scheduled timestamp
          readOnly: true
          type: boolean
        id:
          description: A unique id for the post.
          minimum: 0
          readOnly: true
          type: integer
        link_preview:
          allOf:
            - $ref: '#/components/schemas/FacebookLinkPreview'
          description: Data related to the `link` field
          nullable: true
        live_post_url:
          description: Link to the live published post.
          format: url
          readOnly: true
          type: string
        location:
          allOf:
            - $ref: '#/components/schemas/FacebookLocation'
          description: Data related to the `location_id` field
          readOnly: true
        media:
          description: The list of media attached to the post.
          items:
            type: object
          readOnly: true
          type: array
        num_of_approvals_required:
          description: The number of approvals required to approve the request.
          readOnly: true
          type: integer
        post_group_id:
          description: The id of the post group associated with the post.
          format: uuid
          type: string
        rss_feed_id:
          description: Foreign key reference to the RSS feed table.
          nullable: true
          type: integer
        rss_guid:
          description: The unique identifier coming from RSS Feed.
          nullable: true
          type: string
        rss_publish_date:
          description: The timestamp of when an RSS feed item was published
          format: date-time
          nullable: true
          type: string
        sort_index:
          description: The sorted index for unscheduled posts.
          type: number
        source_id:
          nullable: true
          readOnly: true
          type: string
        subtitle_content:
          description: Raw SRT subtitle file content as text
          nullable: true
          type: string
        subtitle_error_message:
          description: Error message if subtitle upload failed
          nullable: true
          readOnly: true
          type: string
        subtitle_metadata:
          allOf:
            - $ref: '#/components/schemas/FacebookSubtitleMetadata'
          description: Subtitle metadata including language code and filename
          nullable: true
          type: object
        subtitle_upload_status:
          description: 'Computed status: SUCCESS if no error, FAILED if error exists'
          nullable: true
          readOnly: true
          type: string
        thumbnail_url:
          description: Image URL for the thumbnail to use
          format: url
          nullable: true
          type: string
        title:
          description: Deprecated, use `video_title`
          nullable: true
          type: string
        updated_at:
          description: The time when the post was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - post_type
      type: object
    PagingData:
      properties:
        count:
          description: Number of objects included
          type: integer
        next:
          description: URL to get the next page with specified limit of objects
          format: url
          type: string
        previous:
          description: URL to get the previous page with specified limit of objects
          format: url
          type: string
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    Targeting:
      additionalProperties: false
      properties:
        geo_locations:
          allOf:
            - $ref: '#/components/schemas/TargetingLocations'
          description: Locations to limit the post towards
      type: object
    ApprovalRequest:
      properties:
        approval_status:
          description: The status of the approval request.
          enum:
            - PENDING
            - APPROVED
            - UNASSIGNED
          readOnly: true
          type: string
        brand_id:
          description: ID of the brand to which the approval request belongs to
          readOnly: true
          type: integer
        created_at:
          description: The time when the approval request was created.
          format: date-time
          readOnly: true
          type: string
        deleted_at:
          description: The time when the approval request was deleted.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The unique ID of the approval request record.
          readOnly: true
          type: integer
        post_id:
          description: The ID of the post to which the approval request belongs to.
          readOnly: true
          type: integer
        post_platform:
          description: The platform for which the approval belongs to.
          enum:
            - instagram
            - facebook
            - tiktok
            - pinterest
            - twitter
            - linkedin
            - bluesky
            - threads
            - youtube
            - snapchat
          readOnly: true
          type: string
        requested_by_user_id:
          description: The user who requested the approval.
          type: integer
        review_user_id:
          description: The user who is being asked to approve the request.
          type: integer
        updated_at:
          description: The time when the approval request was last updated.
          format: date-time
          readOnly: true
          type: string
      type: object
    FacebookLinkPreview:
      properties:
        can_edit:
          description: Will be set to true if the link preview can be edited.
          readOnly: true
          type: boolean
        description:
          description: A one to two sentence description of the link.
          nullable: true
          type: string
        image:
          description: An image URL which should represent the link.
          format: url
          readOnly: true
          type: string
        image_media_id:
          description: >-
            A library-backend media ID of type IMAGE which should represent the
            link. Setting this value to null will clear any assigned image and
            ensure the original image scraped from Facebook will be returned.
          nullable: true
          type: integer
        title:
          description: The title of the link.
          maxLength: 255
          nullable: true
          type: string
        url:
          description: The link preview URL.
          format: url
          readOnly: true
          type: string
      type: object
    FacebookLocation:
      properties:
        id:
          description: Facebook ID of the location
          type: string
        is_verified:
          description: Verified by Facebook
          type: boolean
        link:
          description: URL of the location in facebook-backend
          type: string
        location:
          description: >-
            Location object as returned from Facebook. See
            https://developers.facebook.com/docs/graph-api/reference/location/
          type: object
        name:
          description: Name of the location
          type: string
      type: object
    FacebookSubtitleMetadata:
      properties:
        filename:
          description: Original filename of the subtitle file
          type: string
        language_code:
          description: 'Language code for subtitle (Facebook format: en_US, fr_CA)'
          enum:
            - af_ZA
            - ar_AR
            - ay_BO
            - az_AZ
            - be_BY
            - bg_BG
            - bn_IN
            - bs_BA
            - ca_ES
            - ck_US
            - cs_CZ
            - cx_PH
            - cy_GB
            - da_DK
            - de_DE
            - el_GR
            - en_GB
            - en_IN
            - en_US
            - eo_EO
            - es_CL
            - es_CO
            - es_ES
            - es_LA
            - es_MX
            - es_VE
            - et_EE
            - eu_ES
            - fa_IR
            - fi_FI
            - fo_FO
            - fr_CA
            - fr_FR
            - fy_NL
            - ga_IE
            - gl_ES
            - gn_PY
            - gu_IN
            - gx_GR
            - he_IL
            - hi_IN
            - hr_HR
            - hu_HU
            - hy_AM
            - id_ID
            - is_IS
            - it_IT
            - ja_JP
            - jv_ID
            - ka_GE
            - kk_KZ
            - km_KH
            - kn_IN
            - ko_KR
            - ku_TR
            - la_VA
            - li_NL
            - lt_LT
            - lv_LV
            - mg_MG
            - mk_MK
            - ml_IN
            - mn_MN
            - mr_IN
            - ms_MY
            - mt_MT
            - nb_NO
            - ne_NP
            - nl_BE
            - nl_NL
            - nn_NO
            - pa_IN
            - pl_PL
            - ps_AF
            - pt_BR
            - pt_PT
            - qu_PE
            - rm_CH
            - ro_RO
            - ru_RU
            - sa_IN
            - se_NO
            - sk_SK
            - sl_SI
            - so_SO
            - sq_AL
            - sr_RS
            - sv_SE
            - sw_KE
            - sy_SY
            - ta_IN
            - te_IN
            - tg_TJ
            - th_TH
            - tl_PH
            - tr_TR
            - tt_RU
            - uk_UA
            - ur_PK
            - uz_UZ
            - vi_VN
            - xh_ZA
            - yi_DE
            - zh_CN
            - zh_HK
            - zh_TW
            - zu_ZA
          type: string
      required:
        - language_code
      type: object
    TargetingLocations:
      additionalProperties: false
      properties:
        countries:
          description: List of ISO 3166-1 codes of targeted countries
          items:
            maxLength: 2
            minLength: 2
            type: string
          type: array
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````